Package org.eclipse.birt.chart.model.attribute

# Interface AccessibilityValue

All Superinterfaces:
  `ActionValue`, `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `AccessibilityValueImpl`

public interface AccessibilityValue extends ActionValue
A representation of the model object 'Accessibility Value'. AccessibilityValue extends the type ActionValue specific for accessibilities.

The following features are supported:

- `Text`
- `Accessibility`

See Also:
  - `AttributePackage.getAccessibilityValue()`

## Method Summary

Modifier and Type
Method
Description
`AccessibilityValue`
`copyInstance()`
`String`
`getAccessibility()`
Returns the value of the 'Accessibility' attribute.
`String`
`getText()`
Returns the value of the 'Text' attribute.
`void`
`setAccessibility(String value)`
Sets the value of the '`Accessibility`' attribute.
`void`
`setText(String value)`
Sets the value of the '`Text`' attribute.

### Methods inherited from interface org.eclipse.birt.chart.model.attribute.ActionValue

`getLabel, setLabel`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getText

String getText()
Returns the value of the 'Text' attribute. Attribute "Text" provides a short description of the accessibility.

Returns:
  the value of the 'Text' attribute.
See Also:
  - `setText(String)`
  - `AttributePackage.getAccessibilityValue_Text()`

### setText

void setText(String value)
Sets the value of the '`Text`' attribute.

Parameters:
  `value` - the new value of the 'Text' attribute.
See Also:
  - `getText()`

### getAccessibility

String getAccessibility()
Returns the value of the 'Accessibility' attribute. Attribute "Accessibility" provides a full description of the accessibility.

Returns:
  the value of the 'Accessibility' attribute.
See Also:
  - `setAccessibility(String)`
  - `AttributePackage.getAccessibilityValue_Accessibility()`

### setAccessibility

void setAccessibility(String value)
Sets the value of the '`Accessibility`' attribute.

Parameters:
  `value` - the new value of the 'Accessibility' attribute.
See Also:
  - `getAccessibility()`

### copyInstance

AccessibilityValue copyInstance()

Specified by:
  `copyInstance` in interface `ActionValue`
Specified by:
  `copyInstance` in interface `IChartObject`